$(function () {
    var obj = new $.hsTools.parseLocationSearch();
    var global = {
        identitytype:"",
        identityno:"",
        capitalmode:"",
        bankserial:"",
        bankname:"",
        bankacco:"",
        customerappellation:"",
        accoreqserial:"",
        state:""    //银联查询结果状态字段
    };
    var openAcco = {
        init: function () {
            openAcco.events();
            openAcco.loadBaseData();
        },
        events: function () {
            $("#submitBtn").on("tap", function () {
                if (false == openAcco.validate()) {
                    return;
                } else {
                    openAcco.merOpenAcco();//调用商户级别开户
                }
            });
        },
        loadBaseData: function () {//加载页面基础数据
            //向银联请求刚下订单的信息
            $.startLoading("正在加载...");
            var data = "channel=app&orderid="+obj.orderid+"&accoreqserial="+obj.orderid+"&busitype=OPENACCO";
            setTimeout(function(){
                $.doAjaxCall("capital/chinapay/openaccoRsQuery",data,openAcco.openaccoRsQueryCallback);
             },3000);
            //加载职业
            $.doAjaxCall("account/fastopenacco/merOpenaccoForm", "", openAcco.loadWorkcodeCallback);
        },
        openaccoRsQueryCallback : function(jsonResult){
            if (jsonResult && jsonResult.successful){
                $.stopLoading();
                var mobile = obj.mobile;//手机号码
                $("#mobile").val(mobile);
                $("#mobile_div").html(mobile);
                $("#bankacconame").html(jsonResult.customerappellation);
                var identitytype = jsonResult.identitytypebank;//证件类型
                var identityno = jsonResult.identitynobank;//证件号码
                global.identitytype = identitytype;
                global.identityno = identityno;
                global.capitalmode = jsonResult.capitalmode;
                global.bankserial = jsonResult.bankserial;
                global.bankname = jsonResult.bankname;
                global.bankacco = jsonResult.bankacco;
                global.customerappellation = jsonResult.customerappellation;
                global.accoreqserial = jsonResult.accoreqserial;
                global.cpflag = jsonResult.cpflag;
                global.state = jsonResult.state;
                if ("0" == identitytype) {//如果是身份证开户，则从证件号码中获取生日和性别
                    var birthday = openAcco.getBirthdayFromCard(identityno);
                    var sex = openAcco.getSexFromCard(identityno);
                    var sexDesc = "0" == sex ? "女" : "男";
                    $("#birthday").val(birthday);
                    $("#birthday_div").html(birthday);
                    $("#sex").val(sex);
                    $("#sex_div").html(sexDesc);
                }
                // if (jsonResult.state == "00"){
                //     $.doAlert("银联通开户身份认证失败!");
                //     return;
                // }

            }else {
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        loadWorkcodeCallback: function (jsonResult) {//加载职业
            var workcodeHtml = "";
            if (jsonResult && jsonResult.successful) {
                var list = jsonResult.workCode;
                if (list && list.length > 0) {
                    for (var index in list) {
                        var item = list[index];
                        workcodeHtml += "<option value='" + item.key + "'>" + item.value + "</option>"
                    }
                }
            }else{
            	$.callFailProcess(jsonResult);	 
            }
            $("#workcodeSel").html(workcodeHtml);
        },
        //调用商户级别开户
        merOpenAcco: function () {
            var identityno = global.identityno;//obj.identitynobank;//证件号码
            var identitytype = global.identitytype;//obj.identitytypebank;//证件类型
            var capitalmode = global.capitalmode;//obj.capitalmode;//资金方式
            var bankserial = global.bankserial;//obj.bankserial;//银行编号
            var bankname = global.bankname;//obj.bankname;//银行名称
            var handset = obj.mobile;//手机号码
            var bankacco = global.bankacco;//obj.bankacco;//银行账号
            var bankacconame = global.customerappellation;//账户姓名
            var cpflag = global.cpflag;
            var sex = $("#sex").val() || $("#sexSel_div").UISelectField("value");//性别
            var birthday = $("#birthday").val() || $("#birthday_dateField").UIDateField("value");//生日
            birthday = birthday.replace(/\-/g, "");
            var workcode = $("#workcode").UISelectField("value");//职业代码
            var tradepassword = $("#tradepassword").UITextField("value");//交易密码
            var accoreqserial = global.accoreqserial;
            var data = "bankserial=" + bankserial//银行编号
                + "&capitalmode=" + capitalmode//资金方式
                + "&bankname="+bankname//银行名称
                + "&handset=" + handset//手机号码
                + "&customerappellation=" + bankacconame//姓名
                + "&bankacco=" + bankacco//银行账号
                + "&identityno=" + identityno//证件号码
                + "&identitytype=" + identitytype//证件类型
                + "&tradepassword=" + tradepassword//交易密码
                + "&sex=" + sex//性别
                + "&cpflag="+cpflag
                + "&accoreqserial="+accoreqserial
                + "&birthday=" + birthday//生日
                + "&workcode=" + workcode//职业代码
                + "&invalidate=99991231"//默认永久有效
                + "&riskability=2"      //风险等级
                + "&busitype=OPENACCO"
                + "&nationality2=156";//国籍默认中国
             
            $.startLoading("正在提交...");
            $.doAjaxCall("account/openacco/openacco",data,openAcco.merOpenCallback);
//            $.doAjaxCall("account/fastopenacco/merOpenacco", decodeURI(data), openAcco.merOpenCallback);
        },
        //商户级别开户
        merOpenCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult && jsonResult.successful) {       	
                var argv = {"title": "开户结果", "leftbuttonstatus": "hidden"};//,"returnpageid":"splashpage","rightbutton":{"title":"","type":"loginstatus"},"nextAction":"startpage"
                var sex = $("#sex").val() || $("#sexSel_div").UISelectField("value");//性别
                var bankacconame = global.customerappellation;//账户姓名
                var params = "sex=" + sex + "&bankacconame=" + bankacconame + "&identityno=" + global.identityno +
                    "&tradepassword=" + $("#tradepassword").UITextField("value") + "&identitytype=" + global.identitytype; //传递的参数
                $.hsOpen("account/account-chinapay-openAcco-result.html?" + params, argv);
            } else {
                $.callFailProcess(jsonResult);
            }
        },
        getBirthdayFromCard: function (identityno) {//从身份中获取生日
            var year = 2000;
            var month = 12;
            var day = 31;
            if (identityno.length == 15) {
                year = "19" + identityno.substr(6, 2);
                month = identityno.substr(8, 2);
                day = identityno.substr(10, 2);
            } else if (identityno.length == 18) {
                year = identityno.substr(6, 4);
                month = identityno.substr(10, 2);
                day = identityno.substr(12, 2);
            }
            return year + "-" + month + "-" + day;
        },
        getSexFromCard: function (identityno) {//从身份中获取性别
            var sex = 0;
            if (identityno.length == 15) {
                sex = identityno.substr(13, 1);
            } else if (identityno.length == 18) {
                sex = identityno.substr(16, 1);
            }
            return (sex % 2).toString();
        },
        validate: function () {
            var tradepassword = $("#tradepassword").UITextField("value");
            var tradepassword2 = $("#tradepassword2").UITextField("value");
            var birthday = $("#birthday").val() || $("#birthday_dateField").UIDateField("value");//生日
            birthday = birthday.replace(/\-/g, "");
            var zipcodeReg = /^[0-9]{6}$/;
            var numReg = /^\d+$/;
            if ("" == birthday) {
                $.doAlert("请输入您的生日！");
                return false;
            }
            if (global.state == "00"){
                $.doAlert("银联通开户身份认证失败");
                return false;
            }
            if (!tradepassword) {
                $.doAlert("请输入交易密码！");
                return false;
            }
//            } else if (tradepassword.length != 6 || !numReg.test(tradepassword)) {
//                $.doAlert("密码需要6位有效数字！");
//                return false;
//            }
            if (tradepassword != tradepassword2) {
                $.doAlert("两次密码输入不一致！");
                return false;
            }
            return true;
        }
    };
    openAcco.init();
})
