$(function () {
    var searchObj = new $.hsTools.parseLocationSearch();
    var capitalmode = searchObj.capitalmode || "";
    var bankserial = searchObj.bankserial || "";
    var bankname = searchObj.bankname || "";

    var accoValidate = {
        init: function () {
            if (capitalmode == "" || bankserial == "" || bankname == "") {
                alert("开户渠道信息错误!");
            } else {
                accoValidate.events();
                accoValidate.loadBankInfo();//加载银行信息
            }
        },
        events: function () {
            $("#getAuthCode").on("tap", function () {
                    accoValidate.getAuthCode();
            });
            $("#submitBtn").on("tap", function () {
                    accoValidate.doSubmit();
            });
        },
        loadBankInfo: function () {//加载银行信息
            $("#bankname").append(bankname);
        },
        countdown: function () {
            var wait_time = 60; //设置秒数(单位秒)
            $("#getAuthCode").hide();
            $("#authCodeTime").show();
            var i = setInterval(function () {
                wait_time = wait_time - 1;
                if (wait_time == 0) {
                    $("#getAuthCode").show();
                    $("#authCodeTime").hide();
                    clearInterval(i);
                } else {
                    $("#authCodeTime").html(wait_time + "秒");
                }
            }, 1000);
        },
        //获取验证码
        getAuthCode: function () {
            var mobile = $("#mobile").UITextField("value").trim();
            var identitytype = "0";//$("#identitytype").UISelectField("value");
            var identityno = $("#identityno").UITextField("value").trim();
            var reg = /^(\d{15}|\d{18}|\d{17}[a-zA-Z]{1})$/;
            var handsetReg = /^[1]\d{10}$/;
            if ("" == mobile) {
                $.doAlert("请输入手机号码！");
                return false;
            }
            if (!handsetReg.test(mobile)) {
                $.doAlert("请输入正确的手机号码！");
                return false;
            }
            if ("" == identityno) {
                $.doAlert("请输入证件号码！");
                return false;
            }
            if ("0" == identitytype && !reg.test(identityno)) {
                $.doAlert("请输入正确的身份证号码！");
                return false;
            }
            var data = "identitytype=" + identitytype
                + "&identityno=" + identityno
                + "&mobile=" + mobile
                + "&sendintent=openacco";
            $.startLoading("正在获取...");
            $.doAjaxCall("account/mobile/fastSendCode", data, accoValidate.sendAuthCodeCallback);
        },
        //验证码返回
        sendAuthCodeCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult && jsonResult.successful) {
                $("#authcode").show();
                $.doAlert("手机验证码已发送！请注意查收短信！");
                accoValidate.countdown();
            } else {
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        doSubmit: function () {
            if (!accoValidate.validate()) {
                return false;
            }
            var identitytype = "0";//$("#identitytype").UISelectField("value");
            var data = "identitytype=" +  $("#identityno").UITextField("value").trim()
                + "&identityno=" + identityno
                + "&mobile=" + $("#mobile").UITextField("value").trim()
                + "&authcode=" + $("#authcode").UITextField("value").trim()
                + "&bankacco=" + $("#bankacco").UITextField("value").trim()
                + "&bankserial="+ bankserial
                + "&capitalmode="+ capitalmode
               	+ "&custname="+ $("#custname").UITextField("value").trim();
            $.startLoading("正在验证...");
            $.doAjaxCall("account/fastopenacco/fastAuthor", data, accoValidate.validateSignatureCallback);
        },
        validateSignatureCallback: function (jsonResult) {//身份验证返回
            if (jsonResult &&jsonResult.successful) {
                $.stopLoading();
                var identityno = $.trim($("#identityno").UITextField("value"));
                var identitytype ="0";
                var custname = $.trim($("#custname").UITextField("value"));
                var bankacco = $.trim($("#bankacco").UITextField("value"))
                var mobile = $.trim($("#mobile").UITextField("value"));
                var bankacconame = jsonResult.bankacconame;//银行账号名
                var branchbank = jsonResult.branchbank;//分行
                var capitalmode = jsonResult.capitalmode;//资金方式
                var cdcard = jsonResult.cdcard;//签约协议号
                var data = "bankacco=" + bankacco
                    + "&bankserial=" + bankserial
                    + "&bankname=" + bankname
                    + "&bankacconame=" + bankacconame
                    + "&capitalmode=" + capitalmode
                    + "&identityno=" + identityno
                    + "&identitytype=" + identitytype
                    + "&mobile=" + mobile
                    + "&cdcard=" + cdcard;
                var argv = {"title": "开户", "returnpageid": "home", "hidemenubar":"true"};//, "rightbutton": {"title": "取消", "type": "cancel"}
                $.hsOpen("account/account-fast-openAcco-form.html?" + data, argv);

            } else {
							 	$.stopLoading();
		 						$.callFailProcess(jsonResult);	 						
            }
        },
        validate: function () {//表单验证
            var bankacco = $.trim($("#bankacco").UITextField("value"));
            var mobile = $.trim($("#mobile").UITextField("value"));
            var mobileSecurityCode = $.trim($("#authcode").UITextField("value"));
            var custname = $.trim($("#custname").UITextField("value"));
            var identityno = $.trim($("#identityno").UITextField("value"));
            var numReg = /^\d+$/;
            var mobileReg = /^[1]\d{10}$/;

            if ("" == bankacco) {
                $.doAlert("请输入银行卡号！");
                return false;
            }
            if ("" == custname) {
                $.doAlert("请输入您的真实姓名！");
                return false;
            }
            if ("" == identityno) {
                $.doAlert("请输入您的证件号码！");
                return false;
            }
            if ("" == mobile) {
                $.doAlert("请输入手机号码！");
                return false;
            }
            if ("" == mobileSecurityCode) {
                $.doAlert("请输入手机验证码！");
                return false;
            }
            if (!numReg.test(bankacco)) {
                $.doAlert("银行卡号必须为数字！");
                return false;
            }
            if (!numReg.test(mobile)) {
                $.doAlert("手机号码必须为数字！");
                return false;
            }
            if (!mobileReg.test(mobile)) {
                $.doAlert("请输入正确的手机号码！");
                return false;
            }
            return true;
        }
    };
    accoValidate.init();
})
