$(function () {
    var searchObj = new $.hsTools.parseLocationSearch();
    var capitalmode = searchObj.capitalmode || "";
    var bankserial = searchObj.bankserial || "";
    var bankname = searchObj.bankname || "";
    var identitytype = searchObj.idType||"";
    var identityno = searchObj.idNo||"";
    var custname = searchObj.custName||"";//姓名
    var mobile = searchObj.mobile;
    var isSupport = searchObj.isSupport;    //是否走SDK。

    var opentradeacco = {
        init: function () {
            //判断对应的资金方式是否支持增开
            if (capitalmode == "" || bankserial == "" || bankname == "") {
                $("#mainpage").addClass("hidden");
                $("#errorinfo_zone").removeClass("hidden");
                $("#errorinfo").html("提示：请选择需要增开交易账号的渠道!");
                return false;
            } else {
                //初始化数据
                opentradeacco.initData();
                //注册事件监听器
                opentradeacco.events();
            }
        },
        initData: function () {
            if(bankserial=="934"||bankserial=="010"||bankserial=="006"){//邮政，浦发，交行需要这个提示
                $("#reminde").show();
            }
          $("#bankname").html(bankname);
          $("#custname").html(custname);
          $("#mobile").UITextField("value",mobile);
        },
        events: function () {
            $("#getAuthCode").on("tap", function () {
                opentradeacco.getAuthCode();           
            });
            $("#submitBtn").on("tap", function () {
                opentradeacco.doSubmit();
            });
        },
        validate: function () {//表单验证
            var bankacco = $("#bankacco").UITextField("value").trim();
            var mobile = $("#mobile").UITextField("value").trim();
            var mobileSecurityCode = $("#authcode").UITextField("value").trim();
            var numReg = /^\d+$/;
            var mobileReg = /^[1]\d{10}$/;

            if ("" == bankacco) {
                $.doAlert("请输入银行卡号！");
                return false;
            }
            if ("" == mobile) {
                $.doAlert("请输入手机号码！");
                return false;
            }
            if ("" == mobileSecurityCode) {
                $.doAlert("请输入手机验证码！");
                return false;
            }
            if (!numReg.test(bankacco)) {
                $.doAlert("银行卡号必须为数字！");
                return false;
            }
            if (!numReg.test(mobile)) {
                $.doAlert("手机号码必须为数字！");
                return false;
            }
            if (!mobileReg.test(mobile)) {
                $.doAlert("请输入正确的手机号码！");
                return false;
            }
            return true;
        },
        //获取验证码
        getAuthCode: function () {
            var bankacco = $("#bankacco").UITextField("value").trim();
            var mobile = $("#mobile").UITextField("value").trim();
            var handsetReg = /^[1]\d{10}$/;
            var numReg = /^\d+$/;

            if ("" == bankacco) {
                $.doAlert("请输入银行卡号！");
                return false;
            }
            if (!numReg.test(bankacco)) {
                $.doAlert("银行卡号必须为数字！");
                return false;
            }
            if ("" == mobile) {
                $.doAlert("请输入手机号码！");
                return false;
            }
            if (!handsetReg.test(mobile)) {
                $.doAlert("请输入正确的手机号码！");
                return false;
            }
            var data = "identitytype=" + identitytype
                + "&identityno=" + identityno
                + "&mobile=" + mobile
                + "&way=0"
                + "&sendintent=openacco";
            $.startLoading("正在获取...");
            $.doAjaxCall("account/mobile/sendCode", data, opentradeacco.sendAuthCodeCallback);
        },
        sendAuthCodeCallback: function (jsonResult) {//验证码返回
            $.stopLoading();
            if (jsonResult &&jsonResult.successful) {
                $("#authcode").show();
                $.doAlert("手机验证码已发送,请注意查收短信！");
                opentradeacco.countdown();
            } else {
                $.callFailProcess(jsonResult);
            }
        },
        countdown: function () {
            var wait_time = 60; //设置秒数(单位秒)
            $("#getAuthCode").hide();
            $("#authCodeTime").show();
            var i = setInterval(function () {
                wait_time = wait_time - 1;
                if (wait_time == 0) {
                    $("#getAuthCode").show();
                    $("#authCodeTime").hide();
                    clearInterval(i);
                } else {
                    $("#authCodeTime").html(wait_time + "秒");
                }
            }, 1000);
        },
       
        doSubmit: function () {//提交请求
            if (opentradeacco.validate()) {
                var mobile = $("#mobile").UITextField("value").trim();
                var bankacco = $.trim($("#bankacco").UITextField("value"));//银行卡号
                var data = "identitytype=" + identitytype
                    + "&identityno=" + identityno
                    + "&custname=" +custname
                    + "&capitalmode="+ capitalmode
                    + "&bankserial="+bankserial
                    + "&bankacco="+bankacco
                    + "&mobile=" + mobile
                    + "&way=0"
                    + "&sendintent=openacco"
                    + "&authcode=" + $("#authcode").UITextField("value").trim();
                $.startLoading("正在提交,请稍候...");//首先验证手机验证码
                $.doAjaxCall("account/mobile/validateCode", data, opentradeacco.validateSignatureCallback);
            }
        },
        validateSignatureCallback: function (jsonResult) {
            if (jsonResult &&jsonResult.successful) {
                var data = "identitytype=" + identitytype
                    + "&identityno=" + identityno
                    + "&custname=" +custname
                    + "&capitalmode="+ capitalmode
                    + "&bankserial="+bankserial
                    + "&bankacco="+ $("#bankacco").UITextField("value").trim()
                    + "&mobile=" + mobile
                    + "&sex="+opentradeacco.getSexFromCard(identityno)
                    + "&sendintent=opentradeacco"
                    + "&busintype=OPENTRADEACCO";
                    $.doAjaxCall("capital/chinapay/openaccoOrder",data,opentradeacco.openaccoOrderCallback);
  				}else{
  				   $.callFailProcess(jsonResult);
  				}
        },
        openaccoOrderCallback: function (jsonResult) {
            if (jsonResult && jsonResult.successful){
                /*
                *
                * var charactercode = jsonResult.orderResult.charactercode;
                 //特征码
                 var merid = jsonResult.orderResult.merid;//商户号
                 var merorderid = jsonResult.orderResult.merorderid;//商户订单号
                 var merordertime = jsonResult.orderResult.merordertime;//下单时间
                 var sign = jsonResult.orderResult.sign;//签名
                 var mobile = $.trim($("#mobile").UITextField("value"));
                 //如果isSupport是0,走SDK,不是0,走H5
                 if (isSupport == 0){
                 var argv = {
                 "merorderid": merorderid,
                 "merordertime": merordertime,
                 "sign": sign,
                 "charactercode": charactercode,
                 "merid": merid,
                 "mobile": mobile
                 };
                 $.stopLoading();
                 $.hsDo("doCpOpenAccoAuthor", argv);
                *
                * */

                var data = "channel=app&orderid="+jsonResult.orderResult.merorderid+"&busitype=OPENTRADEACCO"+"&accoreqserial="+jsonResult.orderResult.merorderid;
                setTimeout(function(){
                    $.doAjaxCall("capital/chinapay/openaccoRsQuery",data,opentradeacco.openaccoRsQueryCallback);
                },3000);
            } else {
                $.callFailProcess(jsonResult);
            }
        },
        openaccoRsQueryCallback : function (jsonResult) {
            if (jsonResult && jsonResult.successful){
                var accoreqserial = jsonResult.accoreqserial;
                var identityno = jsonResult.identitynobank;
                var identitytype = jsonResult.identitytypebank;//global.identitytype;//obj.identitytypebank;//证件类型
                var capitalmode = jsonResult.capitalmode;//global.capitalmode;//obj.capitalmode;//资金方式
                var bankserial = jsonResult.bankserial;//global.bankserial;//obj.bankserial;//银行编号
                var bankname = jsonResult.bankname;//global.bankname;//obj.bankname;//银行名称
                var handset = searchObj.mobile;//obj.mobile;//手机号码
                var bankacco = jsonResult.bankacco;//global.bankacco;//obj.bankacco;//银行账号
                var bankacconame = jsonResult.customerappellation;//global.customerappellation;//账户姓名
                var data = "accoreqserial="+accoreqserial
                    +"&identityno="+identityno
                    +"&identitytype="+identitytype
                    +"&capitalmode="+capitalmode
                    +"&bankserial="+bankserial
                    +"&bankname="+bankname
                    +"&handset="+handset
                    +"&bankacco="+bankacco
                    +"&bankacconame="+bankacconame
                    +"&detailcapitalmode=01"
                    +"&busitype=OPENTRADEACCO"
                    +"&sendintent=OPENTRADEACCO";

                $.doAjaxCall("account/tradeacco/addCard", data, opentradeacco.addCardCallback);
            }  else {
                $.callFailProcess(jsonResult);
            }
        },
        addCardCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult &&jsonResult.successful) {
                var argv = {"title": "增开结果", "returnpageid": "home", "hidemenubar":"true", "leftbuttonstatus":"hidden"};//, "rightbutton": {"title": "取消", "type": "cancel"}
                var data = "custname=" + custname;
                $.hsOpen("account/account-opentradeacco-result.html?" + data, argv);
            } else {
                $.callFailProcess(jsonResult);
            }
        },
        getSexFromCard: function (identityno) {//从身份中获取性别
            var sex = 0;
            if (identityno.length == 15) {
                sex = identityno.substr(13, 1);
            } else if (identityno.length == 18) {
                sex = identityno.substr(16, 1);
            }
            return (sex % 2).toString();
        }
    };
    opentradeacco.init();
});