$(function () {
    var obj = new $.hsTools.parseLocationSearch();
    var global = {
        identitytype: obj.identitytype,
        identityno: obj.identityno,
        mobile: obj.mobile,
        custname: obj.custname,
        pwdtype : obj.pwdtype,
        pwdMinLen:"",//密码最小长度
        pwdMaxLen:"",//密码最大长度
        newpwd : "",
        newpwd2:""
    };
    var pageIndex = {
        init: function () {

        		pageIndex.getInputForm();
            pageIndex.events();
            
        },
        getInputForm:function(){
        	$.startLoading("正在加载...");
    			var data = "pwdtype="+global.pwdtype;
        	$.doAjaxCall("account/resetpwd/getInputForm", data, pageIndex.getInputFormCallback);
        },
        getInputFormCallback:function(jsonResult){
        	if (jsonResult &&jsonResult.successful) {
        		global.pwdMinLen = jsonResult.pwdMinLen;
        		global.pwdMaxLen = jsonResult.pwdMaxLen;
        	}else{
        		$.stopLoading();
            $.callFailProcess(jsonResult);
        	}
        },
        events: function () {
            $("#submitBtn").on("tap", pageIndex.resetPassword);
        },
        //调用置换密码的接口
        resetPassword: function () {
            global.newpwd = $("#newpwd").UITextField("value");
            global.newpwd2 = $("#newpwd2").UITextField("value");
            if (pageIndex.doValidate()) {
                var data = "idtype=" + global.identitytype
                    + "&idno=" + global.identityno.toUpperCase()
                    + "&mobile=" + global.mobile
                    + "&custname=" + global.custname
                    + "&newpwd=" + global.newpwd
										+ "&pwdtype=t";
                $.startLoading("正在提交修改...");
                $.doAjaxCall("account/resetpwd/resetPwd", data, pageIndex.resetPasswordCallback);
            }
        },

        resetPasswordCallback: function (jsonResult) {
            if (jsonResult &&jsonResult.successful) {
                var argv = {"title": "重置结果", "leftbuttonstatus":"hidden"};
                $.hsOpen("account/account-password-reset-result.html?custname=" + global.custname, argv);
            } else {
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },

        doValidate: function () {        
            var mobileReg = /^\d{11}$/;
            if (!global.newpwd) {
                $.doAlert("请输入交易密码！");
                return false;
            }
            if(global.newpwd.length<6||global.newpwd.length>8){
                $.doAlert("交易密码长度为6-8位,请重新输入");
                return false;
            }
            if (!global.newpwd2) {
                $.doAlert("请确认交易密码！");
                return false;
            }
            if(global.newpwd2.length<6||global.newpwd2.length>8){
                $.doAlert("确认密码长度为6-8位,请重新输入");
                return false;
            }
            if (global.newpwd2 != global.newpwd){
                $.doAlert("两次密码输入不一致！");
                return false;
            }
            if (!global.custname) {
                return false;
            }
            if (!global.identityno) {
                return false;
            }
            if (!global.mobile) {
                return false;
            }
            if (!mobileReg.test(global.mobile)) {
                return false;
            }
            return true;
        }
    };
    pageIndex.init();
})