$(function () {
    var searchObj = new $.hsTools.parseLocationSearch();
    var countdownInt;
    var accoValidate = {
        init: function () {
            accoValidate.events();
            accoValidate.identityForm();
        },
        events: function () {
            $("#getAuthCode").on("tap", function () {
                accoValidate.getAuthCode();
            });
            $("#submitBtn").on("tap", function () {
                accoValidate.doSubmit();
            });
        },
        identityForm: function () {//加载证件类型
            $.startLoading("正在加载...");
            $.doAjaxCall("account/resetpwd/identityForm", "", accoValidate.identityFormCallback);
        },
				identityFormCallback:function(jsonResult){
						$.stopLoading();
            if (jsonResult && jsonResult.successful) {
            		var html = "";
            		for(var index in jsonResult.idTypeDict ){
            			var item = jsonResult.idTypeDict[index]
            			html += "<option value="+item.key+">"+item.value+"</option>";
            		}
            		$("#identitytype-select").html(html);           		
            }else{
            		$.callFailProcess(jsonResult);
            }
						
				},
        //获取验证码
        getAuthCode: function () {
            var custname = $("#custname").UITextField("value").trim();
            var mobile = $("#mobile").UITextField("value").trim();
            var identitytype = $("#identitytype").UISelectField("value");
            var identityno = $("#identityno").UITextField("value").trim();
            var reg = /^(\d{15}|\d{18}|\d{17}[a-zA-Z]{1})$/;
            var handsetReg = /^[0-9]{11}$/;
            if(""==custname){
            		$.doAlert("请输入真实姓名！");
                return false;	
            }
            if ("" == mobile) {
                $.doAlert("请输入手机号码！");
                return false;
            }
            if (!handsetReg.test(mobile)) {
                $.doAlert("请输入11位手机号！");
                return false;
            }
            if ("" == identityno) {
                $.doAlert("请输入证件号码！");
                return false;
            }
            if ("0" == identitytype && !reg.test(identityno)) {
                $.doAlert("请输入正确的身份证号码！");
                return false;
            }
            var data = "custname=" + custname
                + "&identitytype=" + identitytype
                + "&identityno=" + identityno.toUpperCase()
                + "&mobile=" + mobile
                + "&sendintent=reset";
            $.startLoading("正在获取...");
            $.doAjaxCall("account/mobile/sendCode", data, accoValidate.sendAuthCodeCallback);
        },
        //验证码返回
        sendAuthCodeCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult && jsonResult.successful) {
                $.doAlert("手机验证码已发送，请注意查收短信！");
                accoValidate.countdown();
            } else {
                $.doAlert("您输入的信息不匹配，请检查！");
            }
        },

        countdown: function () {
            var wait_time = 60; //设置秒数(单位秒)
            $("#getAuthCode").hide();
            $("#authCodeTime").show();
            countdownInt = setInterval(function () {
                wait_time = wait_time - 1;
                if (wait_time == 0) {
                    clearInterval(countdownInt);
                    $("#getAuthCode").show();
                    $("#getAuthCode").html("重新获取");
                    $("#authCodeTime").hide();
                } else {
                    $("#authCodeTime").html(wait_time + "秒");
                }
            }, 1000);
        },

        doSubmit: function () {
            if (!accoValidate.doValidate()) {
                return false;
            }
            var custname = $("#custname").UITextField("value").trim();
            var mobile = $("#mobile").UITextField("value").trim();
            var identityno = $("#identityno").UITextField("value").trim();
            var identitytype = $("#identitytype").UISelectField("value");
            var data =  "custname=" + custname
                + "&idtype=" + identitytype
                + "&idno=" + identityno.toUpperCase()
                + "&mobile=" + mobile
                + "&authcode=" + $("#authcode").UITextField("value").trim();
            $.startLoading("正在验证...");//找回密码身份验证（数据提交）
            $.doAjaxCall("account/resetpwd/identify", data, accoValidate.identifyCallback);
        },

        
        identifyCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult &&jsonResult.successful) {
                accoValidate.doNextPage(jsonResult);
            } else {
                clearInterval(countdownInt);
                $("#getAuthCode").show();
                $("#getAuthCode").html("重新获取");
                $("#authCodeTime").hide();
                $.callFailProcess(jsonResult);
            }
        },

        doNextPage: function (jsonResult) {
            var identityno = $.trim($("#identityno").UITextField("value"));
            var identitytype = $.trim($("#identitytype").UISelectField("value"));
            var custname = $.trim($("#custname").UITextField("value"));
            var mobile = $.trim($("#mobile").UITextField("value"));
            var pwdtype = jsonResult.pwdtype;//密码类型
            var data = "custname=" + custname
                + "&identityno=" + identityno.toUpperCase()
                + "&identitytype=" + identitytype
                + "&mobile=" + mobile
                + "&pwdtype="+ pwdtype;
            var argv = {"title": "密码重置", "leftbuttonstatus":"show","returnpageid": "home", "rightbutton": {"title": "取消", "type": "cancel"}};
            $.hsOpen("account/account-password-reset-form.html?" + data, argv);
        },

        doValidate: function () {//表单验证
            var mobile = $.trim($("#mobile").UITextField("value"));
            var mobileSecurityCode = $.trim($("#authcode").UITextField("value"));
            var custname = $.trim($("#custname").UITextField("value"));
            var identityno = $.trim($("#identityno").UITextField("value"));
            var numReg = /^\d+$/;
            var mobileReg = /^\d{11}$/;
            if ("" == custname) {
                $.doAlert("请输入您的真实姓名！");
                return false;
            }
            if ("" == identityno) {
                $.doAlert("请输入您的证件号码！");
                return false;
            }
            if ("" == mobile) {
                $.doAlert("请输入手机号码！");
                return false;
            }
            if ("" == mobileSecurityCode) {
                $.doAlert("请输入手机验证码！");
                return false;
            }
            if (!numReg.test(mobile)) {
                $.doAlert("手机号码必须为数字！");
                return false;
            }
            if (!mobileReg.test(mobile)) {
                $.doAlert("手机号码应为11位数字！");
                return false;
            }
            return true;
        }
    };
    accoValidate.init();
})
