$(function () {
    var currentIndex;
    var total;
    var pageForm = {
        init: function () {
            pageForm.getRiskInfo();
            pageForm.events();
        },
        getRiskInfo: function () {
            var uri = decodeURI(window.location.search);
            if (uri == "") {
                currentIndex = 0;
                $.startLoading("正在加载...");
                $.doAjaxCall("account/risk/getModifyRiskForm", "accoreqserial=ISNULL", pageForm.risklistCallback);
            } else {
                var obj = new $.hsTools.parseLocationSearch();
                //获取从前一页面传递的数据
                currentIndex = parseInt(obj.index);
                total = window.localStorage.getItem("total");
                if ((currentIndex + 1) == total) {
                    $("#btnTitle").html("提 交");
                    $("#submit").attr("m-style", "style-4");
                }
                pageForm.setData();
            }
        },
        risklistCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult && jsonResult.successful) {
                total = jsonResult.questionList.length;
                pageForm.storage(jsonResult.questionList);
                pageForm.setData();
                $.stopLoading();
            } else {
                $.stopLoading();
                $.callFailProcess(jsonResult.questionList);
            }
        },
        storage: function (list) {
            var answerlist = new Array();
            window.localStorage.setItem("list", JSON.stringify(list));
            window.localStorage.setItem("answerlist", JSON.stringify(answerlist));
            window.localStorage.setItem("total", list.length);
        },
        setData: function () {
            var total = window.localStorage.getItem("total")
            var list = JSON.parse(window.localStorage.getItem("list"));
            var obj = list[currentIndex];
            var selectlist = obj.qitem;
            var currentIndexTemp = (currentIndex + 101).toString().substr(1);
            $("#title").html(currentIndexTemp + "/" + total + "、" + obj.qtitle);
            var answerhtml = "";
            var totalLength = $("#tableViewMark dd").length;
            var dataLength = selectlist.length;
            var html = "";
            for (var item in selectlist) {
                var info = selectlist[item];
                var markedFlag = "no";
                if (obj.myanswer != "" && obj.myanswer == info.itemvalue) {
                    markedFlag = "yes";
                }
                var flag = String.fromCharCode(parseInt(item) + 65);
                html += '<dd m-type="mark" m-marked="' + markedFlag + '" class="" m-value="' + info.itemvalue + '" id="mark' + item + '">' + flag + ".&nbsp;" + info.itemtitle + '</dd>'
            }
            $("#tableViewMark dl").html(html);
            $("#tableViewMark").UITableView("refresh");

            $.stopLoading();
        },
        events: function () {
            $("#submit").on("tap", function () {
                pageForm.nextQuestion();
            })
        },
        nextQuestion: function () {
            var answer = $("dd[m-marked=yes]").attr("m-value");
            if (null == answer || "" == answer) {
                $.doAlert("请选择您的问题答案选项！");
                return;
            }
            ;
            var answerlist = JSON.parse(window.localStorage.getItem("answerlist"));
            answerlist[currentIndex] = answer;
            window.localStorage.setItem("answerlist", JSON.stringify(answerlist));

            if ((currentIndex + 1) == total) {//提交修改
                $.startLoading("正在提交...");
                var answerlist = JSON.parse(window.localStorage.getItem("answerlist"));
                var list = JSON.parse(window.localStorage.getItem("list"));
                var data = "";
                for (var i = 0; i < total; i++) {
                    if (i == 0) {
                        data += "{\"" + list[i].qno + "\":\"" + answerlist[i];
                    } else if (i == (total - 1)) {
                        data += "\",\"" + list[i].qno + "\":\"" + answerlist[i] + "\"}";
                    } else {
                        data += "\",\"" + list[i].qno + "\":\"" + answerlist[i];
                    }
                }
                var modifydata = "qnoandanswer=" + data;
                $.doAjaxCall("account/risk/modifyRisk", modifydata, pageForm.modifyriskCallback);
            } else {//进入到下一题
                var indx = currentIndex + 2;
                var argv = {"title": "风险问卷" + indx, "rightbuttonstatus": "hidden", "leftbuttonstatus": "show", "rightbutton": {"title": "取消", "type": "cancel"}};
                $.hsOpen("account/account-riskAssessment-form.html?index=" + (currentIndex + 1), argv);
            }
        },
        modifyriskCallback: function (jsonResult) {
            $.stopLoading();
            if(jsonResult && true==jsonResult.successful){
                if(jsonResult.code == "ETS-5BP00000"){
                    var riskablilityStr = jsonResult.riskablilityStr;
                    navigator.notification.alert("修改成功！您的风险承受能力为：" + riskablilityStr, pageForm.backToFirstPage, "提示：", "确定")
                }
            }else{
                $.doAlert("修改失败！" + jsonResult.message);
                $.callFailProcess(jsonResult);
            }
        },
        backToFirstPage: function(){
            $.hsDo("finishBack","");
        },
    };
    pageForm.init();
})

$.extend({
    doBack: function (string) {
        $.hsDo("finishBack", "");
    }
})

