$(function () {
    var searchObj = new $.hsTools.parseLocationSearch();
    var fundcode;//超级现金宝对应的基金代码
    var sharetype;//超级现金宝对应的收费方式
    var detailcapitalmode;//明细资金方式
    var tradeacco;//交易账号
    var bankname;//银行名称
    var bankacco;//银行账号
    var businflag_declare = "022";//申购
    var ftradeacco = searchObj.ftradeacco;
    var fdetailcapitalmode = searchObj.fdetailcapitalmode;
    var fcapitalmode = searchObj.fcapitalmode;
    var fbankserial = searchObj.fbankserial;
    var usableTradeAccoList = new Array();
    var filterCapBanks = "";//过滤渠道
    var pageForm = {
        init: function () {
            $.startLoading("正在加载...");
            pageForm.packForm();
            pageForm.events();
        },
        events: function () {
            $("#bank-select").on("tap","dd", pageForm.returnCard);
        },
        //组装基金信息
        packForm: function () {
            //加载需要过滤的资金方式
            var data = "item=SALE&caption=ETS_SUPERFITERCAPBANK";
            $.doAjaxCall("common/sysparameter", data, pageForm.loadSUPERFITERCAPBANK);
        },
        loadSUPERFITERCAPBANK: function (jsonResult) {
            if (jsonResult && "true" == jsonResult.successful) {
                filterCapBanks = jsonResult.results.value;
                //加载超级现金宝的信息
                var data = "item=SALE&caption=ETS_SUPERMONEYFUND";
                $.doAjaxCall("common/sysparameter", data, pageForm.loadSuperMoneyFundInfo);
            } else {
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        loadSuperMoneyFundInfo: function (jsonResult) {
            if (jsonResult && "true" == jsonResult.successful) {
                var sysvalue = jsonResult.results.value;
                var values = sysvalue.split("|");
                fundcode = values[0];
                sharetype = values[1];
                var params = "fundcode=" + fundcode + "&sharetype=" + sharetype + "&businflag=" + businflag_declare;
                $.doAjaxCall("trade/prepareorder", params, pageForm.prepareorderCallback);
            } else {
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        prepareorderCallback: function (jsonResult) {
            if (jsonResult && "true" == jsonResult.successful) {
                $.stopLoading();
                //交易账号列表
                var tradeList = jsonResult.results.items.list;
                //交易账号的个数
                var listLen = tradeList.length;
                //可用于交易的交易账号个数
                var usableTradeAccos = 0;
                //迭代出可交易的交易账号
                for (var i = 0; i < listLen; i++) {
                    var item = tradeList[i];//每一个交易账号
                    var modeList = item.detailcapitalmode;//明细资金方式列表
                    var capicalmode = item.capicalmode;//资金方式
                    var bankserial = item.bankserial;//银行编号
                    //按照系统参数过滤渠道
                    if(filterCapBanks.indexOf(capicalmode+"|")!=-1){
                        continue;
                    }
                    //按照系统参数过滤渠道
                    if(filterCapBanks.indexOf(capicalmode+bankserial+"|")!=-1){
                        continue;
                    }
                    var tsFlag = "0";//是否已经支持托收标志,0:不支持，1：支持
                    if (modeList.length > 0) {
                        for (var j = 0 , len = modeList.length; j < len; j++) {
                            //资金方式为3的也需要展示出来
                            if (capicalmode == "3" || modeList[j].key == "01" || modeList[j].key == "03") {
                                //如果已经支持托收方式，则直接显示托收，不再显示快捷，如果不支持托收则显示出快捷
                                if (tsFlag == "1") {
                                    continue;
                                }
                                if (modeList[j].key == "01") {
                                    tsFlag = "1";
                                }

                                if (!bankname || bankname.length == 0) {
                                    bankname = item['bankname'];

                                }
                                if (!tradeacco || tradeacco.length == 0) {
                                    tradeacco = item['tradeacco'];
                                }
                                if (!bankacco || bankacco.length == 0) {
                                    bankacco = item['bankacco'];
                                }
                                if (!detailcapitalmode || detailcapitalmode.length == 0) {
                                    detailcapitalmode = modeList[j].key;
                                }
                                usableTradeAccos++;
                                if (!modeList[j].key || modeList[j].key.length == 0) {
                                    modeList[j].key = "00";
                                }
                                //将交易账号都存入数组
                                var tradeObj = {"tradeacco": item['tradeacco'], "capitalmode": capicalmode, "bankserial": bankserial, "bankname": item['bankname'], "bankacco": item["bankacco"], "detailcapitalmode": modeList[j].key};
                                usableTradeAccoList.push(tradeObj);
                            }
                        }
                    }
                }
                pageForm.packCardlist();
            } else {
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        //组装银行卡信息
        packCardlist: function(){
            if (usableTradeAccoList) {
                var ddStr="";
                for (var item in usableTradeAccoList) {
                    var obj = usableTradeAccoList[item];
                    //这里使用tradeacco_detailcapitalmode组合来做id,区分01和03两种明细方式
                    ddStr += "<dd m-type=\"mark\" m-id=\"" + obj.tradeacco + "_" + obj.detailcapitalmode + "_" + obj.capitalmode + "_" + obj.bankserial + "\"";
                    //当detailcapitalmode和tradeacco都相同时才选中
                    if (ftradeacco == obj.tradeacco && fdetailcapitalmode == obj.detailcapitalmode && fcapitalmode == obj.capitalmode) {
                        ddStr += " m-marked=\"yes\">";
                    } else {
                        ddStr += ">"
                    }
                    var bankaccoTemp = obj.bankacco;
                    var length = bankaccoTemp.length;
                    var bankname = obj.bankname;
                    bankaccoTemp = bankaccoTemp.substr(length-4);
                    var showName = bankname + bankaccoTemp;
                    if (bankname.indexOf("_") == -1) {
                        if (bankname.indexOf("中国银行") == -1) {
                            if (bankname.indexOf("中国") != -1) {
                                showName = bankname.split("中国")[1] + bankaccoTemp;
                            }
                        }
                    } else {
                        showName = bankname.split("_")[1] + bankaccoTemp;
                        if (bankname.indexOf("中国银行") == -1) {
                            if (bankname.indexOf("中国") != -1) {
                                showName = bankname.split("中国")[1] + bankaccoTemp;
                            }
                        }
                    }
                    if ("3" == obj.capitalmode) {
                        showName += "(银联)";
                    } else if ("M" == obj.capitalmode) {
                        showName += "(通联)";
                    } else {
                        showName += "(直联)";
                    }

                    ddStr += "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"1 1 1 1\">"
                    + "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\">"
                    + "<div m-role=\"cell\" m-padding=\"1 0 0 1\" class=\"e-bank e-bank1-ico"+obj.bankserial+"\"></div>"
                    + "<div m-role=\"cell\" m-valign=\"middle\" m-padding=\"1 1 0 1\" class=\"m-font-big\" id=\"bankacco" + obj.tradeacco + "_" + obj.detailcapitalmode + "_" + obj.capitalmode + "_" + obj.bankserial + "\">"
                    + showName
                    + "</div>"
                    + "</div>"
                    + "</div>"
                    + "</dd>"
                }
                $("#bank-select").append(ddStr);
                $("#UITableView").UITableView("refresh");
            }
        },

        returnCard: function (){
            var tradeaccoSelected = $(this).attr("m-id");
            var values = tradeaccoSelected.split("_");
            var tradeaccoSel = values[0];
            var detailcapitalmodeSel = values[1];
            var capitalmode = values[2];
            var bankname = $("#bankacco"+tradeaccoSelected).html();
            var bankserial = values[3];
            //            window.location.href="money-in-form.html?ftradeacco=" + tradeaccoSel+"&fdetailcapitalmode="+detailcapitalmodeSel+"&fcapitalmode="+capitalmode+"&fbankname="+bankname;
            var argv = {"title": "存入", "locationpageid":"", "returnpageid":"accountIndex", "hsnew":"true", "hidemenubar":"true", "hl_key_fragment_cached" : false};

            argv.ftradeacco=tradeaccoSel;
            argv.fdetailcapitalmode=detailcapitalmodeSel;
            argv.fcapitalmode=capitalmode;
            argv.fbankname=bankname;
            argv.fbankserial=bankserial;
            argv.startpage="syb/money-in-form.html";
            $.hsDo("doReOpenChp",argv);
        }
    };
    pageForm.init();
});
