$(function () {
  var searchObj = new $.hsTools.parseLocationSearch();
  var hasUsableTrade = true;
  var filterCapBanks = "";//过滤渠道
  var minValue = 0.00;
  var maxValue = 0.00;
  var pageForm = {
    init: function () {
      $.startLoading("正在加载...");
      if (searchObj.applysum) {
        $("#applysum").UITextField("value", Number(searchObj.applysum).toFixed(2));
      }
      pageForm.packForm();
      pageForm.events();
    },

    formatMonth:function(str){
      if(str.indexOf("0") == 0){
        str = str.substr(1,1);
      }
      // alert(str);
      return str;
    } ,
    events: function () {
      $("#nextPage").on("tap",function(){
        $("#applysum  input").blur();
        pageForm.nextPage();
        return false;
      });
        $("#bankacco").UISelectField("change",function(value){
            for (var index in filterCapBanks){
                if (value == filterCapBanks[index].tradeacco){
                    $("#bankicon").removeAttr("class").addClass("e-bank e-bank-ico"+filterCapBanks[index].bankserial);
                }
            }
        })
    },
    //组装基金信息
    packForm: function () {
      //加载需要过滤的资金方
      $.doAjaxCall("moneyfund/charge/chargeForm", null, pageForm.loadBankList);
    },
    loadBankList: function (jsonResult) {
      if (jsonResult && jsonResult.successful) {
        $.stopLoading();
        filterCapBanks = jsonResult.bankCards;
        $("#incomeDay").html(jsonResult.buyConfirmDate);

        if(null==filterCapBanks||filterCapBanks.length==0){
          hasUsableTrade = false;
          $("#bankcard-topay").append("<option value=''>您未绑定银行卡</option>");
          return;
        }else{
          hasUsableTrade = true;
          for(var index in filterCapBanks){
            var obj = filterCapBanks[index];
            if(obj.bankInfo.indexOf("尾号") != 0){
              obj.bankInfo = obj.bankInfo.replace("尾号","");
            }
            if(obj.capitalmode == "3"){
              obj.bankInfo = obj.bankInfo+"(银联)";
            }
            var str = "<option value='" + obj.tradeacco + "' tradeacco = '" + obj.tradeacco
                + "' detailcapitalmode = '" + obj.paymode + "' capitalmode = '" + obj.capitalmode + "' e-bank e-bank-ico=\"" + obj.bankserial + "\" >"+ obj.bankInfo +"</option>";
            $("#bankcard-topay").append(str);
          }
          $("#bankicon").addClass("e-bank e-bank-ico" + filterCapBanks[0].bankserial);

        }
      } else {
        $.stopLoading();
        $.callFailProcess(jsonResult);
      }
    },
    nextPage: function () {
      if (!pageForm.formValidate()) {
        return false;
      }
      var bankname = $("#bankcard-topay option:selected").html();
      var applysumstr=$("#applysum").UITextField("value");
      if(applysumstr>=0.01){
        var applysum=Number(applysumstr).toFixed(2);//.replace(/\b(0+)/gi,"")
        var html = "<div m-role=\"cell\" m-mode=\"y\" m-layout=\"fit\" m-padding=\"1 1 1 1\" >"
            + "<div m-role=\"cell\" m-margin=\"1 1 1 1\"  m-padding=\"1 1 1 1\" m-align=\"center\" id='bankcardinfo' class=\"m-font-big\">使用" + bankname + "付款</div>"
            + "<div m-role=\"cell\" class=\"m-font-big m-font-bold e-whitebg\" m-margin=\"1 1 1 1\" m-padding=\"1 1 1 1\" m-align=\"center\" id='money-in'>" + applysum+ "(元)</div>"
            + "</div>";
        $.UIComfirm({
          "html": html,
          "cancelText": "取消",
          "cancelStyle": "style-2",
          "submitText": "支付",
          "submitStyle": "style-1"
        }, function (v) {
          if (v && "yes" == v) {//选择支付，则直接调用下单接口
//            $("#nextPage").hide();
//            $("#nextPageDisabled").show();
            pageForm.purchase();
            return false;
          }
        });
      }else{
        $.doAlert("土豪，出手阔绰一点吧~");
      }

      return true;
    },
    //表单验证
    formValidate: function () {
      var applysum = $("#applysum").UITextField("value");
      var min = applysum.toString().split(".")[1];
      if (!hasUsableTrade) {
        $.doAlert("对不起，您没有可用于支付的银行卡!");
        return false;
      }
      if (null != min && min.length > 2) {
        $.doAlert("存入金额请最多只保留2位小数,请重新输入!");
        return false;
      }
      if ("" == applysum || isNaN(applysum) || isNaN(applysum.charAt(0)) || applysum.charAt(0) == " ") {
        $.doAlert("请输入正确的存入金额!");
        return false;
      }
      if (0 >= applysum) {
        $.doAlert("土豪，出手阔绰一点吧~");
        return false;
      }
      if(Number(applysum)>1000000){
        $.doAlert("亲，存入金额应小于一百万！");
        return false;
      }
      return true;

    },
    purchase: function () {
      $.startLoading("正在加载...");
      var tradeacco=$("#bankcard-topay").find("option:selected").attr("value");//交易账号
      var capitalmode=$("#bankcard-topay").find("option:selected").attr("capitalmode");
      var detailcapitalmode=$("#bankcard-topay").find("option:selected").attr("detailcapitalmode");
      var data = "&tradeacco=" + tradeacco
          +"&detailcapitalmode="+detailcapitalmode
          + "&applysum=" + $("#applysum").UITextField("value")
      $.doAjaxCall("moneyfund/charge/charge", data, pageForm.tradePurchaseCallback);
    },
    tradePurchaseCallback: function (jsonResult) {
      if (jsonResult && jsonResult.successful) {
        $.stopLoading();
        var applyserial = jsonResult.purchaseResult.applyserial;
        var payState = jsonResult.payState;
        // payState, 扣款结果 0：未校验 1：失败 2：成功 3：已发送扣款指令
        var applysum = $("#applysum").UITextField("value");  //, "incomeCaculateDay":jsonResult.incomeCaculateDay, "incomeQueryDay":jsonResult.incomeQueryDay
        var errormsg = jsonResult.errormsg;
        var params = "applysum=" + applysum + "&applyserial=" + applyserial + "&paystate="+jsonResult.payState + "&incomeCaculateDay="+jsonResult.incomeCaculateDay+"&incomeQueryDay="+jsonResult.incomeQueryDay+"&orderDay="+jsonResult.orderDay + "&errormsg="+errormsg;
        var argv = {"title": "存入结果", "locationpageid": "moneyInResult", "returnpageid": "moneyIn", "nextAction": "startpage", "hidemenubar":"true","leftbuttonstatus":"hidden"};
        argv.securitylevel = "login";
        if (payState == 2){
            $.hsOpen("syb/money-in-result.html?" + params, argv);
        }else if (payState == 1 || payState == 0){
            $.hsOpen("syb/money-in-result-failed.html?"+params,argv);
        }else if (payState == 3){
            $.hsOpen("syb/money-in-result-process.html?"+params,argv);
        }
      } else {
          $.stopLoading();
          $.callFailProcess(jsonResult);
      }
    }
  };
  pageForm.init();
});










