$(function() {
	var global = {
		fundcode:"",//基金代码
		fundname:"",//基金名称
		sharetype:"",//收费方式
		sharetypedesc:"",
		tradeacco:"",//交易账号
		realtimeflag:"0",//实时赎回标志--全部走普通赎回
		saleway: "",//赎回方式
		currentremainshare : 0.00,//当前份额
		usableShare : 0.00,//可用份额
		marketvalue : 0.00,//当前市值
		minShare : 0.00,//最低保留份额
		mintredeem : "1"//巨额赎回标志
	};
	var obj = new $.hsTools.parseLocationSearch();
	var tradeSaleForm = {
		init : function() {
			$("#fundname").html(obj.fundname)
			tradeSaleForm.initData();
			tradeSaleForm.events();
		},
		initData : function(){
			tradeSaleForm.saleForm();
		},
		saleForm : function(){//查询表单元素
			$.startLoading("正在加载...");
			global.fundcode = obj.fundcode;
			global.sharetype = obj.sharetype;
			global.tradeacco = obj.tradeacco;
			global.currentremainshare = obj.currentremainshare;
			global.marketvalue = obj.marketvalue;
			var params = "fundcode="+obj.fundcode+"&tradeacco="+obj.tradeacco+"&sharetype="+obj.sharetype;
			$.doAjaxCall("trade/sale/saleForm",params,tradeSaleForm.saleFormCallBack);
		},
		saleFormCallBack : function(jsonResult){
			$.stopLoading();
			if(jsonResult &&jsonResult.successful){
				tradeSaleForm.assembleData(jsonResult);
			}else{
				$.callFailProcess(jsonResult);
			}
		},
		assembleData:function (jsonResult){

			global.capitalmode = jsonResult.capitalmode;
			global.sharetypedesc = jsonResult.sharetype.value;//收费方式
			global.fundname = jsonResult.fundname;
			global.minShare = Number(jsonResult.minShare||"0.00");//最低保留份额
			global.usableShare = Number(jsonResult.usableShare||"0.00");//可用份额
			for (var index in jsonResult.shareList){
				if (jsonResult.shareList[index].tradeacco == obj.tradeacco){
					global.currentremainshare = Number(jsonResult.shareList[index].currentremainshare||"0.00");//当前份额
					global.marketvalue = Number(jsonResult.shareList[index].marketvalue||"0.00");//当前份额
				}
			}
			global.saleway = $("#saleway").UISelectMenu("value");

			$("#fundname").html(global.fundname||"--");//基金名称
			$("#sharetype").html(global.sharetypedesc);
			$("#currentremainshare").html(Number(global.currentremainshare || "0.00").toFixed(2));
			$("#usableShare").html(Number(global.usableShare || "0.00").toFixed(2));
			$("#marketvalue").html(Number(global.marketvalue || "0.00").toFixed(2));
			$("#applysum").UITextField("value",Number(global.usableShare || "0.00").toFixed(2));
		},
		events : function() {

			$("#saleway").UISelectMenu("change",function(value){
				global.saleway = value;
			});
			//点击赎回按钮
			$("#saleBtn").on("tap",tradeSaleForm.nextPage)
		},

		nextPage : function(){
			$("#applysum").find(".UITextFieldClear").hide();
			$("#applysum").find("input").blur();
			setTimeout(function(){
				if(tradeSaleForm.formValidate()){
					tradeSaleForm.confirmOrder();
				}
			},300);
			return false;
		},
		confirmOrder: function(){
			var bankcardinfo = global.saleway == "1" ? "赎回到现金宝" : "赎回到银行卡";
			var applysum = Number($("#applysum").UITextField("value").trim()).toFixed(2);
			var html = "<div m-role=\"cell\" m-mode=\"y\" m-layout=\"fit\" m-padding=\"1 1 1 1\" >"
				+ "<div m-role=\"cell\" m-margin=\"1 1 1 1\"  m-padding=\"1 1 1 1\" m-align=\"center\""
				+ "class=\"m-font-big\">" + bankcardinfo + "</div>"
				+ "<div m-role=\"cell\" class=\"m-font-big m-font-bold e-whitebg\" m-margin=\"1 1 1 1\""
				+ "m-padding=\"1 1 1 1\" m-align=\"center\">" + applysum+ "(份)</div>"
				+ "</div>";
			$.UIComfirm({
					"html": html,
					"cancelText": "取消",
					"cancelStyle": "style-2",
					"submitText": "确定",
					"submitStyle": "style-1"
				},
				function (v) {
					if (v && "yes" == v) {
						tradeSaleForm.doSubmit();
					}
				});
			return false;
		},
		doSubmit : function(){
			var applysum = Number($("#applysum").UITextField("value")).toFixed(2);
			var params = "fundcode="+ global.fundcode + "&sharetype=" + global.sharetype + "&tradeacco="+ global.tradeacco
				+ "&realtimeflag="+ global.realtimeflag+ "&saleway=" + global.saleway + "&applysum=" + applysum + "&mintredeem="+global.mintredeem;
			$.startLoading("正在提交赎回申请...");
			$.doAjaxCall("trade/sale/sale",params,tradeSaleForm.doSubmitCallback)
		},
		doSubmitCallback : function(jsonResult){
			$.stopLoading();
			if(jsonResult &&jsonResult.successful){
				var params = "tradetype=sale";
				var argv={"title":"赎回", "hsnew" : "true","leftbuttonstatus" : "hidden"};
				$.hsOpen("trade/trade-result.html?"+params,argv);
			}else{
				$.callFailProcess(jsonResult);
			}
		},
		formValidate:function (){
			var applysum = $("#applysum").UITextField("value");
			var min = applysum.toString().split(".")[1];
			if ("" == applysum || isNaN(applysum) || isNaN(applysum.charAt(0)) || applysum.charAt(0) == " ") {
				$.doAlert("亲，您输入的赎回份额不对哦!");
				return false;
			}
			if(null!=min && min.length>2){
				$.doAlert("亲，赎回份额最多只保留2位小数哦!");
				return false;
			}
			if(13 < applysum.length){
				$.doAlert("亲，赎回份额总长度请不要超过13位哦!");
				return false;
			}
			if(0 >= Number(applysum)){
				$.doAlert("亲，赎回份额必须大于0份哦!");
				return false;
			}
			if(Number(global.usableShare) < Number(applysum)){
				$.doAlert("亲，赎回份额不能大于可用份额哦!");
				return false;
			}
			if(global.tradeacco.length == 0){
				$.doAlert("亲，先选择赎回银行卡哦!");
				return false;
			}

			return true;
		}
	};
	tradeSaleForm.init();
})
