$(function () {
    var obj = new $.hsTools.parseLocationSearch();
    var global = {
        fundcode:"",
        fundname:"",
        sharetype:"",
        sharetypedesc:"",
        tradeacco:"",
        currentremainshare:0.00,
        marketvalue:0.00,
        bankacco:"",
        minShare:"",
        capitalmode:"",
        counter:0,//计时器
        repeatSeconds: 10,//倒计时时间
        warningResult:"",
        riskability:""//用户风险等级
    };
    var tradeTransForm = {
        init: function () {
            //先判断是否风险过期和资料完整
            $.doAjaxCall("atomicquery/account/logininfo", "",  function (jsonResult) {
                if (jsonResult.successful) {
                    var result = jsonResult.result;
                    var riskexpired = result.riskexpired;
                    var pubhgflag = result.pubhgflag;
                    global.riskability = result.riskability;
                    if(pubhgflag != "1"){
                        //没有勾选风险同意，需要进入风险评测
                        $.UIAlert("您需要重新进行风险评测，并同意准入协议", function() {
                            var argv = {"title":"风险问卷","leftbuttonstatus": "show", "hsnew": "true"};
                            argv.securitylevel="login";
                            $.hsOpen("account/account-risk.html", argv);
                        });
                    }else {
                        if(riskexpired===true){//风险评测过期,需要进入风险评测
                            $.UIAlert("您的风险问卷已过期，请重新做风险问卷", function() {
                                var argv = {"title":"风险问卷","leftbuttonstatus": "show", "hsnew": "true"};
                                argv.securitylevel="login";
                                $.hsOpen("account/account-risk.html", argv);
                            });
                        }else{
                            //判断资料是否完整
                            var customerappellation = result.customerappellation;
                            var idno = result.idno;
                            var handset = result.handset;
                            var beneficiary = result.beneficiary;
                            var holdingname = result.holdingname;
                            var communicationaddr = result.communicationaddr;
                            var workcode = result.workcode;
                            var idtype = result.idtype;
                            var birthday = result.birthday;
                            if(""==customerappellation
                                ||""==idno
                                ||""==handset
                                ||""==beneficiary
                                ||""==holdingname
                                ||""==communicationaddr
                                ||""==workcode
                                ||""==idtype
                                ||""==birthday){
                                $.UIAlert("您的资料需要完善", function() {
                                    var argv = {"title":"客户信息修改","leftbuttonstatus": "show", "hsnew": "true"};
                                    argv.securitylevel="login";
                                    $.hsOpen("account/setting-account-modify-form.html", argv);
                                });
                            }else{
                                tradeTransForm.events();
                                tradeTransForm.initData();
                                tradeTransForm.sandclock.start();
                            }
                        }
                    }
                }
            });
        },
        sandclock :  {//倒计时方法
            run : function() {
                if (global.counter == 0) {
                    $("#submit").attr("m-state","");
                    $("#submit").html("确定");
                    global.counter = -1;
                } else {
                    $("#submit").html((global.counter--)+" 秒");
                    global.timer = setTimeout(tradeTransForm.sandclock.run.bind(tradeTransForm), 1000);
                }
            },
            start : function() {
                //清除上次
                if( global.timer) clearTimeout( global.timer);
                global.counter = global.repeatSeconds;
                $("#submit").attr("m-state","disabled");
                $("#submit").html((global.counter--)+" 秒");
                setTimeout(tradeTransForm.sandclock.run.bind(tradeTransForm), 1000);
            },
            readyStart : function() {
                if (global.counter == -1) {
                    return true;
                } else {
                    return false;
                }
            }
        },
        renderAWarning:function(jsonResult){
            //如果不是专业投资者,显示tip
            if(jsonResult.pubprofessionflag != "1"){
                // $("#tip").html(jsonResult.warningAContent).UITip("show");
                $("#warningTip").show();
                $("#tip").bind("tap",function () {
                    //打开A类警示页面
                    var argv = {"title": "风险提示", "hsnew" : "true", "leftbuttonstatus" : "show" ,"locationpageid": "", "returnpageid": "", "nextAction": "startpage", "hidemenubar":"true"};
                    $.hsOpen("trade/warning-protocol.html?protocol="+jsonResult.warningAContent,argv);
                });
                tradeTransForm.makeTrace("A");//留痕
            }
        },
        renderBWarning:function(callback){
            var jsonResult = global.warningResult;
            if(jsonResult.pubprofessionflag !="1" && jsonResult.productRiskLevel == $.theHighestRiskLevel){
                $.UIConfirm({"html": jsonResult.warningBContent, "submitText":"确定","cancelText":"取消"}, function(result) {
                    if (result == "yes") {
                        tradeTransForm.makeTrace("B");
                        callback && callback.call(this);
                    }
                });
            }else{
                callback && callback.call(this);
            }
        },
        renderCWarning:function(jsonResult){
            if(jsonResult.riskmatchResult.riskflag =="1"||jsonResult.riskmatchResult.riskflag =="2"||jsonResult.riskmatchResult.riskflag =="3"){//不匹配
                $("#warningCheck").find("#warningCContent")
                    .html(jsonResult.warningCContent)
                    .end().show();
                if(jsonResult.pubprofessionflag != "1"){//普通投资者
                    tradeTransForm.makeTrace("C");//普通C留痕
                }
            }else{
                $("#warningCheck").hide();
            }
        },
        getWarningList:function(fundcode){
            $.startLoading();
            var data = "businflag=137&fundcode="+fundcode+"&sharetype=A"+"&warningchannel=2";
            $.doAjaxCall("comquery/common/warninglist", data, function(jsonResult) {
                if (jsonResult.successful) {
                    jsonResult.fundcode = fundcode;
                    global.warningResult = jsonResult;
                    tradeTransForm.renderAWarning(jsonResult);
                    tradeTransForm.renderCWarning(jsonResult);
                    tradeTransForm.renderLowRiskLimit(jsonResult);
                    $.stopLoading();
                }else{
                    $.callFailProcess(jsonResult);
                }
            });
        },
        makeTrace:function(type,requestno,pflag){
            var warningResult = global.warningResult;
            requestno = requestno || "";
            var typestr = "warning"+type+"No";
            if(pflag == "1" && warningResult.pubprofessionflag!="1")return;//仅仅专业投资者
            tradeTransForm.requestTrace({
                warningno:warningResult[typestr],
                businflag:"036",
                fundcode:warningResult.fundcode,
                content:warningResult["warning"+type+"Content"],
                fundrisklevel:warningResult.productRiskLevel,
                custrisktype:warningResult.accoRiskability,
                requestno:requestno
            });
        },
        requestTrace:function(data){
            var param = $.map(data,function(value,key){
                return key+"="+value
            }).join("&");
            $.doAjaxCall("account/risk/trace",param,function(jsonResult) {
                if (jsonResult.successful) {
                }
            });
        },
        renderLowRiskLimit:function(jsonResult){
            var userrisklevel = jsonResult.accoRiskability;
            var fundrisklevel = jsonResult.productRiskLevel;
            if(userrisklevel && fundrisklevel){
                if(userrisklevel == $.theLowestRiskAbility && fundrisklevel>$.theLowestRiskLevel){
                    $("#submit")
                        .addClass("above_risk")
                        .attr("m-state","disabled");
                }else{
                    $("#submit")
                        .attr("m-state","")
                        .removeClass("above_risk");
                }
            }
        },
        events: function () {
            $("#submit").on("tap", tradeTransForm.nextPage);
            $("#changeTargetfunds").UISelectField("change", function (value) {
                if(value==0){
                    $.doAlert("请选择转入基金");
                    $("#warningTip").hide();
                }else{
                    tradeTransForm.getWarningList($("#targetfunds option:selected").attr("targetfundcode"));
                }
            });
        },
        initData: function () {
            $.startLoading("正在加载...");
            global.fundcode = obj.fundcode;
            global.sharetype = obj.sharetype;
            var sharetypestr = (obj.sharetype=="A")?"前收费":"后收费";
            global.tradeacco = obj.tradeacco;
//            global.currentremainshare = obj.currentremainshare;
            global.marketvalue = obj.marketvalue;
            global.sharetypestr = sharetypestr;
            var data = "fundcode="+global.fundcode+"&sharetype="+global.sharetype+"&tradeacco="+global.tradeacco;
            $.doAjaxCall("trade/trans/transForm", data, tradeTransForm.transFormCallback);
        },
        transFormCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult &&jsonResult.successful) {
                tradeTransForm.assembleData(jsonResult);
            } else {
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        assembleData: function (jsonResult) {
            global.fundname = jsonResult.fundname;
            //global.bankacco = jsonResult.bankinfo;
            global.sharetypedesc = jsonResult.sharetype;
            global.minShare = jsonResult.minShare;
            $("#fundname").html(jsonResult.fundname);
            for (var index in jsonResult.shareList){
                if (global.tradeacco == jsonResult.shareList[index].tradeacco){
                    global.currentremainshare = jsonResult.shareList[index].currentremainshare;
                    $("#currentremainshare").html(jsonResult.shareList[index].currentremainshare);
                    $("#usableremainshare").html(jsonResult.shareList[index].usableremainshare);
                    global.bankacco = jsonResult.shareList[index].bankname;
                    global.capitalmode = jsonResult.shareList[index].capitalmode;
                }
            }
            if (global.bankacco.indexOf("尾号") != -1){
                global.bankacco = global.bankacco.replace("尾号","");
            }
            if(global.capitalmode == "3"){
                global.bankacco = global.bankacco+"(银联)";
            }
            $("#sharetypedesc").html(global.sharetypestr);
            $("#bankacco").html(global.bankacco);//(jsonResult.bankinfo);
            var html = "<option value='0' selected='selected'>请选择</option>";
            var targetFunds = jsonResult.targetFunds;
            if(targetFunds.length==0){
                $("#targetfunds_field").empty();
                $("#targetfunds_field").html("没有可转入的基金列表");
            }
            for(var item in targetFunds ){
                var info = targetFunds[item];
                var targetfundcode = info.fundcode;
                var targetfundname = info.fundname;
                var targetsharetype = info.sharetype.key;
                var targetsharetypedesc = info.sharetype;
                var targetbusinflag = info.businflag;
// 				  for(index in targetsharetypedesc){
// 					  var sharetype = "";
// 					  if(targetsharetypedesc[index] == "A")
// 					{

// 					}
// 					  var desc =  targetfundname + "(" + targetsharetypedesc[index] + ")";
// 	              			html += "<option targetfundcode = '" + targetfundcode + "'"
// 	                        + "targetsharetype = '" + targetsharetype + "'"
// 	                        + "targetfundname = '" + targetfundname + "'"
// 	                        + "targetsharetypedesc = '" + targetsharetypedesc + "'"
// 	                        + "targetbusinflag = '" + targetbusinflag + "'"
// 	                        + ">"
// 	                        + desc
// 	                        + "</option>";  
// 				  }
                var sharetype = ""
                if(targetsharetypedesc.count > 1)
                {

                }else{

                    if(targetsharetypedesc[0] == "A")
                    {
                        targetsharetype = "前收费"
                    }
                    else{
                        targetsharetype = "后收费"
                    }
                }
                var desc =  targetfundname + sharetype;
                html += "<option targetfundcode = '" + targetfundcode + "'"
                + "targetsharetype = '" + targetsharetype + "'"
                + "targetfundname = '" + targetfundname + "'"
                + "targetsharetypedesc = '" + targetsharetypedesc + "'"
                + "targetbusinflag = '" + targetbusinflag + "'"
                + ">"
                + desc
                + "</option>";
            }
            $("#targetfunds").html(html);
        },
        nextPage: function () {
            if(!tradeTransForm.sandclock.readyStart()) return false;
            if (tradeTransForm.formValidate()) {
                tradeTransForm.renderBWarning(tradeTransForm.doTrans);
            }
            return false;
        },
        doTrans: function () {
            var params = "?" + tradeTransForm.packTransParams();
            var argv = {"title": "转换预览"};
            $.hsOpen("trade/trade-trans-view.html" + params, argv);
        },
        packTransParams: function () {
            var targetfundcodeObj = $("#targetfunds option:selected");
            var targetfundcode = targetfundcodeObj.attr("targetfundcode");
            var targetsharetype = targetfundcodeObj.attr("targetsharetype");
            var targetsharetypedesc = targetfundcodeObj.attr("targetsharetypedesc");
            var targetfundname = targetfundcodeObj.attr("targetfundname");
            var targetbusinflag = targetfundcodeObj.attr("targetbusinflag");

            var fundcode = global.fundcode;
            var fundname = global.fundname;
            var sharetype = global.sharetype;
            var sharetypedesc = global.sharetypedesc;
            var tradeacco = global.tradeacco;
            var bankacco = global.bankacco;
            var currentremainshare = global.currentremainshare;
            var marketvalue = global.marketvalue;

            var applysum = Number($("#applysum").UITextField("value") || "0.00").toFixed(2);

            var data = "targetfundcode=" + targetfundcode + "&targetsharetype=" + targetsharetype+"&targetsharetypedesc=" + targetsharetypedesc
                + "&targetfundname=" + targetfundname+ "&targetbusinflag=" + targetbusinflag
                + "&fundcode=" + fundcode +"&fundname=" + fundname+ "&sharetype=" + sharetype + "&sharetypedesc=" +sharetypedesc
                + "&tradeacco=" + tradeacco  + "&bankacco=" + bankacco
                + "&currentremainshare=" + currentremainshare + "&usableremainshare=" + $("#usableremainshare").html()
                + "&applysum=" + applysum +"&sharetypestr="+global.sharetypestr;
            return data;
        },

        //表单验证
        formValidate: function () {
            var above_risk = $("#submit").hasClass("above_risk");
            if(above_risk){
                $.doAlert("您的风险等级过低，不允许转换该产品！");
                return false;
            }
            var applysum = $("#applysum").UITextField("value");
            var usableremainshare = $("#usableremainshare").html();
            var min = applysum.toString().split(".")[1];
            if ("" == applysum) {
                $.doAlert("请输入转换份额!");
                return false;
            }
            if (0 >= applysum) {
                $.doAlert("转换份额必须大于0份!");
                return false;
            }
            if ((usableremainshare - applysum) < 0) {
                $.doAlert("转换份额不能大于可用份额,请重新输入!");
                return false;
            }
            if (null != min && min.length > 2) {
                $.doAlert("转换份额请最多只保留2位小数,请重新输入!");
                return false;
            }
            if (13 < applysum.length) {
                $.doAlert("转换份额总长度请不要超过13位,请重新输入!");
                return false;
            }
            var targetfundsLength = $("#targetfunds option").length;
            if (targetfundsLength == 0) {
                $.doAlert("转入基金信息不能为空!");
                return false;
            }
            var targetfunds = $("#targetfunds option:selected").val();
            if (0 == targetfunds) {
                $.doAlert("请选择转入基金!");
                return false;
            }
            var checkContract2 = $("#checkContract2").UICheckBox("value");
            if($("#warningCheck").is(":visible")){//产品风险大于个人
                if (checkContract2 != "yes") {
                    $.UIAlert($("#warningCContent").html()+"，请勾选以确认转换");
                    return false;
                }
            }

            var checkContract3 = $("#riskCCheck").UICheckBox("value");
            if(checkContract3 != "yes3"){
                $.UIAlert("请阅读并同意风险提示!");
                return false;
            }

            return true;
        }
    }
    tradeTransForm.init();
})

