$(function () {
    var tradeTransList = {
        init: function () {
            this.events();
            this.initData();
        },
        events: function () {
            $("#shareList").on("tap", "dd", tradeTransList.doTrans);//跳转转换页面
        },
        initData: function () {
            tradeTransList.shareList();
        },
        shareList: function () {
            $.startLoading("正在加载...");
            $.doAjaxCall("trade/trans/shareList", "", tradeTransList.shareListCallback);
        },
        shareListCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult &&jsonResult.successful) {
                tradeTransList.assembleData(jsonResult);
            } else {
                $("#tableView").hide();
								$("#noResult").show();
								$("#errorinfo").html("提示：查询可转换的基金份额列表失败，原因为"+jsonResult.message+"["+jsonResult.code+"]");
            }
        },
        assembleData: function (jsonResult) {
            var list = jsonResult.shareList;
            var html = "";
            for (var item in list) {
                var info = list[item];
               	var usableremainshare = parseFloat(info.usableremainshare);
								if(usableremainshare==0.00){
								   continue;
								}
								html += '<dd m-selectionstyle="yes" m-type="arrow" fundcode="'+info.fundcode+'" sharetype="'+info.sharetype+'" currentremainshare="'+info.currentremainshare+'"  marketvalue="'+info.marketvalue+'" tradeacco="'+info.tradeacco+'">'
												 +		'<div m-role="cell" m-mode="y" m-layout="fit">'
												 +			'<div m-role="cell" m-valign="middle" m-padding="1 1 1 1">'
												 +				'<div m-role="cell" m-layout="fit" class="m-font-heavy m-font-normal" >'
												 +					info.fundname
												 +				'</div>'
												 +				'<div m-role="cell"  class="m-font-bold">'
												 +					info.usableremainshare
												 +				'</div>'
												 +			'</div>'
												 +			'<div  m-role="cell" m-valign="middle" m-padding="1 1 1 1">'
												 +				'<div m-role="cell" m-layout="fit" class="m-font-small m-font-light" >'
												 +					info.fundcode
												 +				'</div>'
												 +				'<div m-role="cell"  class="m-font-bold m-color-2">'
												 +					info.bankname
												 +				'</div>'
												 +			'</div>'
												 +		'</div>'
												 +	'</dd>';
								}
		            if (html.length == 0) {
		                $("#tableView").hide();
		                $("#noResult").show();
		            } else {
		                $("#tableView").show();
		                $("#noResult").hide();
		            }
		            $("#shareList").append(html);
		            $("#tableView").UITableView("refresh");
        },
        doTrans: function () {
            var argv = {"title": "基金转换", "returnpageid": "trans","leftbuttonstatus":"hidden","hsnew":"true","rightbutton":{"title":"取消","type":"cancel"}};
            argv.securitylevel = "login";
            var fundcode = $(this).attr("fundcode");
			 			var sharetype = $(this).attr("sharetype");
			 			var tradeacco = $(this).attr("tradeacco");
			 			var currentremainshare = $(this).attr("currentremainshare");//当前份额
			 			var marketvalue = $(this).attr("marketvalue");//当前市值
            $.hsOpen("trade-trans-form.html?fundcode="+fundcode+"&sharetype="+sharetype+"&tradeacco="+tradeacco+"&currentremainshare="+currentremainshare+"&marketvalue="+marketvalue, argv);
        }
    }
    tradeTransList.init();
})