$(function () {
    var obj = new $.hsTools.parseLocationSearch();
    var global = {
        warningResult:""
    };
    var pageView = {
        init: function () {
            pageView.events();
        },
        events: function () {
            $("#submit").on("tap", pageView.trans);
            pageView.setPageData();
        },
        setPageData: function () {
            $("#fundcode").html(obj.fundcode);
            $("#fundname").html(obj.fundname);
            $("#sharetypedesc").html(obj.sharetypestr);
            $("#currentremainshare").html(obj.currentremainshare);

            $("#usableremainshare").html(obj.usableremainshare);
            $("#bankname").html(obj.bankname);
            $("#bankacco").html(obj.bankacco);
            $("#applysum").html(pageView.formatAmt(obj.applysum, 2));
            $("#targetfundcode").html(obj.targetfundcode);
            $("#targetfundname").html(obj.targetfundname);
            $("#targetsharetypedesc").html(obj.targetsharetype);
            pageView.getWarningList(obj.targetfundcode);
        },
        getWarningList:function(fundcode){
            $.startLoading();
            var data = "businflag=137&fundcode="+fundcode+"&sharetype=A"+"&warningchannel=2";
            $.doAjaxCall("comquery/common/warninglist", data, function(jsonResult) {
                if (jsonResult.successful) {
                    global.warningResult = jsonResult;
                    $.stopLoading();
                }else{
                    $.callFailProcess(jsonResult);
                }
            });
        },
        //转换处理
        trans: function () {
            if (!pageView.formValidate()) {
                return;
            }
            $.startLoading("正在提交申请...");
            var data = "targetfundcode=" + obj.targetfundcode + "&targetsharetype=" + obj.targetsharetypedesc
                + "&fundcode=" + obj.fundcode + "&tradeacco=" + obj.tradeacco
                + "&saleway=2&applysum=" + obj.applysum + "&sharetype=" + obj.sharetype;
            $.doAjaxCall("trade/trans/trans", data, pageView.transCallback);
        },
        transCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult && jsonResult.successful) {
                // if(jsonResult.riskmatchResult.riskflag =="1"||jsonResult.riskmatchResult.riskflag =="2"||jsonResult.riskmatchResult.riskflag =="3"){//不匹配
                //     jsonResult.tradeResult && pageView.makeTrace("C",jsonResult.tradeResult.applyserial || "","1");
                // }
                if(jsonResult.code == "ETS-5BP00000"){
                    var argv = {"title":"提示", "message":jsonResult.message, "jspage":"trade-trans-view"};
                    $.hsDo("doAlert",argv);
                }
            } else {
                $.callFailProcess(jsonResult);
            }
        },
        makeTrace:function(type,requestno,pflag){
            var warningResult = global.warningResult;
            requestno = requestno || "";
            var typestr = "warning"+type+"No";
            if(pflag == "1" && warningResult.pubprofessionflag!="1")return;//仅仅专业投资者
            pageView.requestTrace({
                warningno:warningResult[typestr],
                businflag:"036",
                fundcode:warningResult.fundcode,
                content:warningResult["warning"+type+"Content"],
                fundrisklevel:warningResult.productRiskLevel,
                custrisktype:warningResult.accoRiskability,
                requestno:requestno
            });
        },
        requestTrace:function(data){
            var param = $.map(data,function(value,key){
                return key+"="+value
            }).join("&");
            $.doAjaxCall("account/risk/trace",param,function(jsonResult) {
                if (jsonResult.successful) {
                }
            });
        },
        //表单验证
        formValidate: function () {
            var applysum = obj.applysum;
            var usableremainshare = obj.usableremainshare;
            var min = applysum.toString().split(".")[1];

            if ("" == applysum) {
                $.doAlert("请输入转换份额!");
                return false;
            }
            if (0 >= applysum) {
                $.doAlert("转换份额必须大于0份!");
                return false;
            }
            if ((usableremainshare - applysum) < 0) {
                $.doAlert("转换份额不能大于可用份额,请重新输入!");
                return false;
            }
            if (null != min && min.length > 2) {
                $.doAlert("转换份额请最多只保留2位小数,请重新输入!");
                return false;
            }
            if (13 < applysum.length) {
                $.doAlert("转换份额总长度请不要超过13位,请重新输入!");
                return false;
            }
            return true;
        },
        formatAmt: function (s, n) {
            n = n > 0 && n <= 20 ? n : 2;
            s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
            var l = s.split(".")[0].split("").reverse(),
                r = s.split(".")[1];
            t = "";
            for (i = 0; i < l.length; i++) {
                t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
            }
            return t.split("").reverse().join("") + "." + r;
        }
    }
    pageView.init();
})